/***************************************************************************
    copyright            : (C) 2003 by Arnold Krille
    email                : arnold@arnoldarts.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; version 2 of the License.               *
 *                                                                         *
 ***************************************************************************/

#ifndef KREC_EXPORT_WAVE_H
#define KREC_EXPORT_WAVE_H

#include "krecexport_template.h"

class KTempFile;
class TQFile;

class KRecExport_Wave : public KRecExportItem {
   Q_OBJECT
  
public:
	KRecExport_Wave( TQObject*, const char* =0, const TQStringList& =0 );
	~KRecExport_Wave();

	KRecExport_Wave* newItem();

	TQStringList extensions();
	TQString exportFormat() { return TQString( "Wave" ); }
public slots:
	bool initialize( const TQString & );
	bool process();
	bool finalize();

private:
	TQFile* _file;
};

#endif

// vim:sw=4:ts=4
